# catapult – Send a sms / mms using the catapult bandwidth api

New in version 2.4.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Allows notifications to be sent using sms / mms via the catapult bandwidth api.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_secret - / required |  | Api Secret from Api account page.
api_token - / required |  | Api Token from Api account page.
dest - / required |  | The phone number or numbers the message should be sent to (must be in E.164 format, like `+19195551212`).
media - |  | For MMS messages, a media url to the location of the media to be sent with the message.
msg - / required |  | The contents of the text message (must be 2048 characters or less).
src - / required |  | One of your catapult telephone numbers the message should come from (must be in E.164 format, like `+19195551212`).
user_id - / required |  | User Id from Api account page.

## Notes

Note

- Will return changed even if the media url is wrong.

- Will return changed if the destination number is invalid.

## Examples

    - name: Send a mms to multiple users
      catapult:
        src: "+15035555555"
        dest:
          - "+12525089000"
          - "+12018994225"
        media: "http://example.com/foobar.jpg"
        msg: "Task is complete"
        user_id: "{{ user_id }}"
        api_token: "{{ api_token }}"
        api_secret: "{{ api_secret }}"

    - name: Send a sms to a single user
      catapult:
        src: "+15035555555"
        dest: "+12018994225"
        msg: "Consider yourself notified"
        user_id: "{{ user_id }}"
        api_token: "{{ api_token }}"
        api_secret: "{{ api_secret }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | Whether the api accepted the message. Sample: True

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Jonathan Mainguy (@Jmainguy)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.